Bug 171455 - New port: finance/trytond_carrier_percentage
Summary: New port: finance/trytond_carrier_percentage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-08 16:30 UTC by Matthias Petermann
Modified: 2012-09-19 08:54 UTC (History)
0 users

See Also:


Attachments
file.shar (6.11 KB, text/plain)
2012-09-08 16:30 UTC, Matthias Petermann
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Petermann 2012-09-08 16:30:08 UTC
This port adds the Carrier Percentage Module to the Tryton Application Platform.

Fix: Patch attached with submission follows:
Comment 1 Wen Heping freebsd_committer 2012-09-10 02:16:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-09-19 08:44:03 UTC
Author: wen
Date: Wed Sep 19 07:43:48 2012
New Revision: 304486
URL: http://svn.freebsd.org/changeset/ports/304486

Log:
  This port adds the Carrier Percentage Module to the Tryton Application Platform.
  
  WWW: http://www.tryton.org/
  
  PR:		171455
  Submitted by:	Matthias Petermann <matthias@d2ux.net>

Added:
  head/finance/trytond_carrier_percentage/
  head/finance/trytond_carrier_percentage/Makefile   (contents, props changed)
  head/finance/trytond_carrier_percentage/distinfo   (contents, props changed)
  head/finance/trytond_carrier_percentage/pkg-descr   (contents, props changed)
  head/finance/trytond_carrier_percentage/pkg-plist   (contents, props changed)
Modified:
  head/finance/Makefile

Modified: head/finance/Makefile
==============================================================================
--- head/finance/Makefile	Wed Sep 19 07:40:37 2012	(r304485)
+++ head/finance/Makefile	Wed Sep 19 07:43:48 2012	(r304486)
@@ -109,6 +109,7 @@
     SUBDIR += trytond_account_product
     SUBDIR += trytond_calendar
     SUBDIR += trytond_carrier
+    SUBDIR += trytond_carrier_percentage
     SUBDIR += trytond_company
     SUBDIR += trytond_company_work_time
     SUBDIR += trytond_country

Added: head/finance/trytond_carrier_percentage/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_carrier_percentage/Makefile	Wed Sep 19 07:43:48 2012	(r304486)
@@ -0,0 +1,25 @@
+# New ports collection makefile for:	trytond_carrier_percentage
+# Date created:		08 September, 2012
+# Whom:			Matthias Petermann<matthias@petermann.it>
+#
+# $FreeBSD$
+#
+
+PORTNAME=	trytond_carrier_percentage
+PORTVERSION=	2.4.1
+CATEGORIES=	finance python
+MASTER_SITES=	http://downloads2.tryton.org/${PORTVERSION:R}/
+
+MAINTAINER=	matthias@petermann.it
+COMMENT=	Tryton Application Platform (Carrier Percentage Module)
+
+LICENSE=	GPLv3
+
+RUN_DEPENDS=	trytond>=2.4.0:${PORTSDIR}/finance/trytond \
+		trytond_carrier>=2.4.1:${PORTSDIR}/finance/trytond_carrier \
+		trytond_currency>=2.4.0:${PORTSDIR}/finance/trytond_currency
+
+USE_PYTHON=	yes
+USE_PYDISTUTILS=easy_install
+
+.include <bsd.port.mk>

Added: head/finance/trytond_carrier_percentage/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_carrier_percentage/distinfo	Wed Sep 19 07:43:48 2012	(r304486)
@@ -0,0 +1,2 @@
+SHA256 (trytond_carrier_percentage-2.4.1.tar.gz) = ca79ea0c032289deb562d0fb8503768515a5d9529cd656368a7cb9c336215269
+SIZE (trytond_carrier_percentage-2.4.1.tar.gz) = 19981

Added: head/finance/trytond_carrier_percentage/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_carrier_percentage/pkg-descr	Wed Sep 19 07:43:48 2012	(r304486)
@@ -0,0 +1,3 @@
+This port adds the Carrier Percentage Module to the Tryton Application Platform.
+
+WWW: http://www.tryton.org/

Added: head/finance/trytond_carrier_percentage/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_carrier_percentage/pkg-plist	Wed Sep 19 07:43:48 2012	(r304486)
@@ -0,0 +1,46 @@
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/entry_points.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/requires.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/__tryton__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/__tryton__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/__tryton__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/carrier.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/carrier.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/carrier.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/carrier.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/locale/bg_BG.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/locale/ca_ES.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/locale/cs_CZ.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/locale/de_DE.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/locale/es_AR.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/locale/es_CO.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/locale/es_ES.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/locale/fr_FR.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/locale/nl_NL.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/locale/ru_RU.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/sale.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/sale.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/sale.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/stock.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/stock.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/stock.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/tests/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/tests/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/tests/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/tests/test_carrier_percentage.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/tests/test_carrier_percentage.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/tests/test_carrier_percentage.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/tests
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage/locale
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/carrier_percentage
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Wen Heping freebsd_committer 2012-09-19 08:54:56 UTC
State Changed
From-To: open->closed

New port added. Thanks!